---
categories:
    - GRS
    - Writing
    - Research
date: 03/11/2022
description: Outline for the thesis
slug: thesis-draft
title: Thesis Draft
---

Guidelines

```
What do you WANT to write?
What mode of address do you want to assume? How do you want your text to speak to the reader?
(this dictates the form: essayistic, academic, narrative, non-linier, script; diary; field report)
Be clear about HOW you want to tell your story.
Key issues you want to explore (what research questions do these lead to?)

Please think of only 3 key issues.

Once you identify these you can begin a chapter outline.
```

Discussion

```
Software documentation
Programming software

Sruggling a lot finding a surface between people that develop software, use software, communities concerned find a place that speaks/connects those different worlds

User manual = documentation

Surface creates a world around it, creates barriers and possibilities

What is missing > world of documentation in software development, often just refers to technicalities, create a generous space to create community, different kind of policies/identities in software development

For project work on a kind of toolkit: a book of spells, recipes, set of tools and practice to think through software documentaiton

three main issues:
    1. materiality of software documentation (surfaces used to read it make it)
    2. the actors that participate in this idea of software documentation, roles in writing of software
    3. idea of economy around software documentation, exchanges that happen, economy of knowledge (knowledge in developing of codes,...) exchanges of different kind of knowledges, a space to reclaim the importance of voices, value of different voices, beside the technical beside meritopractical approach

    form:
        not sure want to write more?
        want to do the opposite of what is told
        explore the idea of list as a writing surface
        list are a big thing in programming as a structure, data structure, a lot of essays, articles that use code instead of writing (think these things are super-cringe) but would be interesting to abstract some things from code and use them as writing method
        use these kind of technics as a writing method
        template used in industry, offer different kind of approach about documentation and understand what do they say, what do they do
        idea writing as code

        example of that writing: ... replace words is writing
        find a meaningful way, critical way to use the writing machines

        >> do something that my mum could read
        how to make sense of it also for others

last year started to work with idea of versioning, take already existing text and change some words to re-orient the context > text about graphic design as world buiidling, took the text and replaced some words and became software as world building

make outlines to start
start with the structure
content is about structure

project proposal more narrative/theoretical
thesis more practical

```

## about the form

-   data structures (list, loop, conditional, tree) as writing machine
-   automatic writing or developing tools to write
-   haunted surfaces or how to re-enchant dry formats

## about the contents

ecology of software documentation
more zspecifically in the context of software programming

1. materiality

-   what is written?
    -   making space for the code in the world and viceversa
    -   kind of language, intensity (level of details), accessibility
    -   how is it structured?
-   surfaces
    -   reference
    -   manual
    -   forum
    -   tutorial

2. actors involved

-   who has to write it?
-   who gets to read it?
-   who is excluded?

3. economy around it

-   value of documentation
-   documentation work is work
-   economy of different knowledges
